cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 2installation

Magento 2installation

Hi

 

 

this is the error i get when install magento on shared hosting 

 

Your PHP Version is 5.6.21, but always populate raw post data HTTP RAW POST DATA is deprecated from PHP 5.6 onwards and will be removed in PHP 7.0. This will stop the installer from running. Please open your php.ini file and set always populate raw post data to -1. If you need more help please call your hosting provider.

 

6 REPLIES

Re: Magento 2installation

Hi,

 

This issue clearing mention  HTTP RAW POST DATA is deprecated from PHP 5.6 

 

Go to php.ini file and search "always_populate_raw_post_data" this text put it "always_populate_raw_post_data = -1".

 

Save the php.ini file

 

Restart your server and setup Magento again.

 

If this post fulfill your solution please mark as accept.

 

Thanks,

Dibyajyoti

Re: Magento 2installation

hi

 

in my godaddy CPanel  php.in file doesnt show this line any other option ==  

 

 

 

 

 

always_populate_raw_post_data" this text put it "always_populate_raw_post_data = -1".

 

Re: Magento 2installation

Hi,

 

Please share your php.ini file so that i can try to find.

Re: Magento 2installation

phpin.png

Re: Magento 2installation

Hi,

 

I'm going through the pains of trying to setup Magento 2.1 on shared hosting at godaddy as well.  I did find out though that you can configure those values on a local level by creating a .user.ini file and adding nothing but the values that you are unable to configure.

 

i.e.

 

always_populate_raw_post_data=-1

max_execution_time=18000
max_input_time=18000

 

Nothing else goes in this file.  Use these as an example please.... I'm still working on figuring it out.  Keep in mind that you will need to configure a remote database host if you plan on installing Magento 2.1.  Godaddy only has MYSQL 5.5 available on their shared hosting accounts.

 

Good Luck to you.

 

Re: Magento 2installation

Hi, I try to install on xampp and got same error (Your PHP Version is 5.6.15, but always_populate_raw_post_data = 0. $HTTP_RAW_POST_DATA is deprecated from PHP 5.6 onwards and will be removed in PHP 7.0. This will stop the installer from running. Please open your php.ini file and set always_populate_raw_post_data to -1. If you need more help please call your hosting provider.)

 

i changed always_populate_raw_post_data to ON to always_populate_raw_post_data to -1 in php.ini, but still i faced same error.